Bug 1264108 - the red warning message in subscription-manager-initial-setup-addon should disappear when clicking Cancel/Back
Summary: the red warning message in subscription-manager-initial-setup-addon should di...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager
Version: 7.2
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: rc
: ---
Assignee: William Poteat
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-09-17 14:10 UTC by John Sefler
Modified: 2016-11-03 20:27 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 20:27:09 UTC
Target Upstream Version:


Attachments (Terms of Use)
first panel of initial-setup registration after having clicked Cancel on the credentials panel (80.65 KB, image/png)
2015-09-17 14:10 UTC, John Sefler
no flags Details
Invalid credentials error (156.09 KB, image/png)
2016-08-10 09:15 UTC, Shwetha Kallesh
no flags Details
No error message after navigating back (116.11 KB, image/png)
2016-08-10 09:17 UTC, Shwetha Kallesh
no flags Details


Links
System ID Priority Status Summary Last Updated
Github candlepin subscription-manager pull 1457 None None None 2016-08-03 15:50:17 UTC
Red Hat Bugzilla 1243707 None None None Never
Red Hat Product Errata RHSA-2016:2592 normal SHIPPED_LIVE Moderate: subscription-manager security, bug fix, and enhancement update 2016-11-03 12:10:42 UTC

Internal Links: 1243707

Description John Sefler 2015-09-17 14:10:32 UTC
Created attachment 1074465 [details]
first panel of initial-setup registration after having clicked Cancel on the credentials panel

Description of problem:
After clicking Next and entering invalid credentials on the
next registration panel, the warning message shown below was
displayed as expected.  But then after clicking the Cancel
button, I was navigated "Back" to this first panel of registration
and the warning message below remained.  I expected the message
to disappear because it is now out of context on this panel of the
registration.



Version-Release number of selected component (if applicable):
[root@jsefler-7 ~]# rpm -q subscription-manager-initial-setup-addon
subscription-manager-initial-setup-addon-1.15.9-10.el7.x86_64

How reproducible:


Steps to Reproduce:
1. Enter invalid credentials (or none) during initial-setup registration and click Next.
2. See the pretty red warning dialog appear at the bottom of the screen.
3. Click Cancel -- would be nice if it was labeled Back - see bug 1243707

Actual results:
see attached screenshot


Expected results:
The pretty warning message should be removed since we navigated back to the first registration panel where the warning message is now out of context.


Additional info:

Comment 1 John Sefler 2015-09-24 20:57:28 UTC
deferring for consideration in rhel-7.3.0 due to schedule and severity

Comment 3 William Poteat 2016-07-27 12:27:32 UTC
PR at https://github.com/candlepin/subscription-manager/pull/1457

Comment 5 Shwetha Kallesh 2016-08-10 09:15:07 UTC
Created attachment 1189530 [details]
Invalid credentials error

Comment 6 Shwetha Kallesh 2016-08-10 09:17:08 UTC
Created attachment 1189534 [details]
No error message after navigating back

No error message is seen after navigating back , hence moving the bug to verified

subscription-manager-1.17.10-1.el7.x86_64
subscription-manager-initial-setup-addon-1.17.10-1.el7.x86_64

Comment 8 errata-xmlrpc 2016-11-03 20:27:09 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2592.html


Note You need to log in before you can comment on or make changes to this bug.